#!/bin/bash
set -euo pipefail

BASE=cosmo

ARCHIVE=$BASE.tar.gz

rm -rf $ARCHIVE

# Anonymize our opam file.
# This sed command should work under both MacOS and Unix.
# sed -e '/^maintainer:/d ; /^authors:/d ; /http/d' -i.bak opam

# Create an archive.
find theories/ -type f -name '*.v' -exec \
  tar --transform "s,^,$BASE/," --show-transformed -czvf $ARCHIVE \
    README.md opam Makefile _CoqProject {} \+

# Restore our opam file.
# mv opam.bak opam
